#
# spec file for package xf86tools (Version 0.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp libgpp perl qt3-devel-packages x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool mesa mesaglut mesaglut-devel perl qt3 qt3-devel rpm update-desktop-files

Name:         xf86tools
License:      X11/MIT
Group:        System/X11/Utilities
PreReq:       /bin/rm
Requires:     cabextract
Autoreqprov:  on
Version:      0.1
Release:      751
Summary:      Tools for the X Window System
Source:       GameChecker-030908.tar.bz2
Source2:      xf86debug
Source4:      SuSEconfig.fonts
Source5:      fonts-config
Source6:      wmlist
Source8:      kroot
Source12:     numlock.c
Source13:     xwin.tar.gz
Source17:     glXIsDirect
Source19:     sux
Source20:     call-browser
Source21:     nvidia-installer-1.0.2.tar.gz
Source22:     install-nvidia-driver
Source23:     NVIDIA-Linux-x86-1.0-4496-pkg2.run
Source24:     Makefile.module
Source25:     link-nvidia-module
Patch:        nvidia-installer-1.0.2.diff
NoSource:     23
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Some useful tools for the X Window System.



Authors:
--------
    Stefan Dirsch <sndirsch@suse.de>
    Ludwig Nussel <lnussel@suse.de>
    Mike Fabian <mfabian@suse.de>

%package -n CheckHardware
Summary:      CheckHardware tool
Group:        System/X11/Utilities
Provides:     xf86tools:/usr/bin/CheckHardware
Autoreqprov:  on

%description -n CheckHardware
A tool to verify hardware requirements.



Authors:
--------
    Marcus Schfer <ms@suse.de>
    Stefan Dirsch <sndirsch@suse.de>

%package -n km_nvidia
Summary:      nVidia kernel interface
Group:        Development/Sources
Version:      1.0.4496
Release:      18
Autoreqprov:  on

%description -n km_nvidia
Source files for nVidia kernel interface.



Authors:
--------
    NVIDIA Corporation

SuSE series: pay

%prep
%setup -n GameChecker -b 13
pushd ..
  tar xvzf $RPM_SOURCE_DIR/nvidia-installer-1.0.2.tar.gz
  patch -p0 -s < $RPM_SOURCE_DIR/nvidia-installer-1.0.2.diff
popd
%ifarch %ix86
pushd ..
  $RPM_SOURCE_DIR/NVIDIA-Linux-x86-1.0-4496-pkg2.run --extract-only
popd
%endif

%build
%{?suse_update_config:%{suse_update_config -f}}
make LD_FLAGS="-L/usr/lib/qt3/%_lib"
pushd ../xwin
  make LIBS=-L/usr/X11R6/%_lib
popd
pushd ../nvidia-installer-1.0.2
  make
popd

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/xf86tools
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -m 755 $RPM_SOURCE_DIR/xf86debug      $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/wmlist         $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/kroot          $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/sux            $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/call-browser   $RPM_BUILD_ROOT/usr/X11R6/bin
%ifarch %ix86
install -m 755 $RPM_SOURCE_DIR/install-nvidia-driver $RPM_BUILD_ROOT/usr/bin
%endif
pushd ../GameChecker
  make install DESTDIR=$RPM_BUILD_ROOT
popd
gcc -Wall $RPM_OPT_FLAGS -o $RPM_BUILD_ROOT/usr/X11R6/bin/numlock $RPM_SOURCE_DIR/numlock.c -L/usr/X11R6/%{_lib} -lX11 -lXtst
pushd ../xwin
  install -m 755 xwinswitch $RPM_BUILD_ROOT/usr/X11R6/bin
  install -m 644 README $RPM_BUILD_ROOT/%{_defaultdocdir}/xf86tools/README.xwinswitch
popd
%ifarch %ix86
pushd ../nvidia-installer-1.0.2
  install -m 755 nvidia-installer $RPM_BUILD_ROOT/usr/bin/tiny-nvidia-installer
  install -m 755 mkprecompiled    $RPM_BUILD_ROOT/usr/bin
popd
%endif
install -m 755 $RPM_SOURCE_DIR/glXIsDirect $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d 
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.fonts $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 $RPM_SOURCE_DIR/fonts-config $RPM_BUILD_ROOT/usr/sbin
pod2man --section 1 --center=" " $RPM_SOURCE_DIR/fonts-config > $RPM_BUILD_ROOT/%{_mandir}/man1/fonts-config.1
mkdir -p $RPM_BUILD_ROOT/etc/fonts
# workaround for still existing $HOME/.xserverc files
ln -snf XFree86 $RPM_BUILD_ROOT/usr/X11R6/bin/Xwrapper
cat > $RPM_BUILD_ROOT/usr/X11R6/bin/xf86version << EOF
#!/bin/sh
echo "XFree86-4.x"
EOF
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/xf86version
%ifarch %ix86
pushd ../NVIDIA-Linux-x86-1.0-4496-pkg2/usr/src/nv
  rm nv-kernel.o 
  rm -r precompiled
  mkdir -p $RPM_BUILD_ROOT/usr/src/kernel-modules/nvidia/1.0-4496
  cp * $RPM_BUILD_ROOT/usr/src/kernel-modules/nvidia/1.0-4496
popd
cp $RPM_SOURCE_DIR/Makefile.module \
  $RPM_BUILD_ROOT/usr/src/kernel-modules/nvidia
install -m 755 $RPM_BUILD_ROOT/usr/bin/mkprecompiled \
  $RPM_BUILD_ROOT/usr/src/kernel-modules/nvidia
mkdir -p $RPM_BUILD_ROOT/lib/modules/scripts/nvidia
install -m 755 $RPM_SOURCE_DIR/link-nvidia-module \
  $RPM_BUILD_ROOT/lib/modules/scripts/nvidia.sh
%endif

%pre
test -L usr/X11R6/bin/xinit && rm -f usr/X11R6/bin/xinit
test -L usr/X11R6/bin/xf86config && rm -f usr/X11R6/bin/xf86config
exit 0

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/xf86tools/
/usr/X11R6/bin/Xwrapper
/usr/X11R6/bin/call-browser
/usr/X11R6/bin/xf86debug
/usr/X11R6/bin/xf86version
/usr/X11R6/bin/wmlist
/usr/X11R6/bin/kroot
/usr/X11R6/bin/numlock
/usr/X11R6/bin/sux
/usr/X11R6/bin/xwinswitch
%ifarch %ix86
/usr/bin/tiny-nvidia-installer
/usr/bin/mkprecompiled
/usr/bin/install-nvidia-driver
%dir /lib/modules/scripts
/lib/modules/scripts/nvidia.sh
%dir /lib/modules/scripts/nvidia
%endif
/usr/sbin/fonts-config
/sbin/conf.d/SuSEconfig.fonts
%{_mandir}/man1/fonts-config.1.gz

%files -n CheckHardware
/usr/X11R6/bin/glXIsDirect
/usr/bin/CheckHardware
/usr/bin/Check4SoundLibs
/usr/bin/CheckFor3DLibs
/usr/bin/GameWrapper
/usr/share/locale/*/LC_MESSAGES/CheckHardware.mo
%ifarch %ix86

%files -n km_nvidia
%dir /usr/src/kernel-modules
/usr/src/kernel-modules/nvidia/
%endif

%changelog -n xf86tools
* Wed Sep 24 2003 - sndirsch@suse.de
- km_nvidia package / nvidia script:
  * provide nv-linux.o also in precompiled form, so the new nvidia
  installer (>= 1.0.4), i.e. driver (> 1.0-4496) can make use of it
  (Bug #31686)
* Sat Sep 20 2003 - sndirsch@suse.de
- added mkprecompiled to filelist; required for generating
  precompiled nv-linux.o later (Bug #31459)
* Fri Sep 19 2003 - sndirsch@suse.de
- install-nvidia-driver:
  * check for configured kernel sources no longer required
  * don't use override mechanism for nvidia module
* Fri Sep 19 2003 - agruen@suse.de
- Move /lib/modules/`uname -r`/kernel/drivers/video/ \
  nv-linux.o-1.0-4496 to /lib/modules/scripts/nvidia/`uname -r`/.
  In the previous path, the object file was causing depmod errors.
  (Bug #31337)
* Thu Sep 18 2003 - sndirsch@suse.de
- nvidia script:
  * removed depmod call
* Thu Sep 18 2003 - sndirsch@suse.de
- nvidia script:
  * adjusted options to new calling conventions of k_* packages
- set km_nvidia version to 1.0.4496
* Wed Sep 17 2003 - sndirsch@suse.de
- nvidia script:
  * adjusted options to calling conventions of k_* packages
- removed cylic requires to XFree86
* Tue Sep 16 2003 - sndirsch@suse.de
- Makefile.module improved
- /usr/bin/link-nvidia-module --> /lib/modules/scripts/nvidia.sh
- nvidia.sh:
  * /lib/modules/nvidia/nv-kernel.o -->
  /lib/modules/scripts/nvidia/nv-kernel.o
* Mon Sep 15 2003 - sndirsch@suse.de
- added km_nvidia package (nvidia kernel interface)
- added link-nvidia-module; script, which links nvidia kernel
  interface (nv-linux.o) and binary-only part (nv-kernel.o) to
  a new nvidia kernel module
* Fri Sep 12 2003 - sndirsch@suse.de
- added Xwrapper symlink and xf86version script to work around still
  existing $HOME/.xserverrc files
- renamed nvidia-installer to tiny-nvidia-installer as it conflicts
  with official nvidia-installer
* Thu Sep 11 2003 - sndirsch@suse.de
- install-nvidia-driver:
  * wrapper script for 'nvidia-installer' (Bug #30417)
* Thu Sep 11 2003 - sndirsch@suse.de
- nvidia-installer-1.0.2.diff:
  * improved error/warning message when using nvidia-installer
  without "--update" or "--help" option (Bug #30417)
* Wed Sep 10 2003 - sndirsch@suse.de
- call-browser:
  * fixed script; added MozillaFirebird (Bug #30400)
* Mon Sep 08 2003 - sndirsch@suse.de
- GameChecker-030908.tar.bz2 (CheckHardware update):
  * fixed i18n support
  * added hungarian translation
* Fri Sep 05 2003 - sndirsch@suse.de
- added requires for XFree86 (needs mkfontscale)
* Thu Sep 04 2003 - sndirsch@suse.de
- epiphany replaced galeon
* Sat Aug 09 2003 - sndirsch@suse.de
- updated nvidia installer (1.0.1 --> 1.0.2)
* Wed Jun 25 2003 - hvogel@suse.de
- added fluxbox to wmlist
* Thu May 29 2003 - sndirsch@suse.de
- fonts-config:
  * improve explanation of fc-cache in man-page
* Sun Apr 27 2003 - sndirsch@suse.de
- added nvidia installer; useful for uninstalling cleanly nvidia
  driver during an update :-)
* Sun Apr 27 2003 - sndirsch@suse.de
- added 'call-browser' tool
* Sun Apr 27 2003 - sndirsch@suse.de
- fonts-config:
  * We have funny font names like "!y2kbug.ttf" "It wasn't me.ttf"
  "let'seat.ttf" now in free-ttf-fonts.rpm. Use some quoting to
  make ftdump $font work for such fonts.
* Wed Apr 23 2003 - sndirsch@suse.de
- removed fonts.conf (now in new fontconfig package)
* Mon Apr 14 2003 - sndirsch@suse.de
- sux:
  * fixed use of line option for head
* Mon Apr 07 2003 - schwab@suse.de
- Fix quoting in kroot script.
* Mon Mar 31 2003 - sndirsch@suse.de
- fixed PreReq and Requires
* Sun Mar 30 2003 - sndirsch@suse.de
- removed XftConfig; no longer required with Xft2/XFree86 4.3.0
- removed fetchnvidiadrv; never useful
- removed fonts.html; no longer up-to-date
- removed xf86config/xf86version/xinit; no longer required as
  XFree86 3.x will be dropped
* Thu Mar 27 2003 - sndirsch@suse.de
- added 'sux'; removed from XFree86 package
* Thu Mar 20 2003 - sndirsch@suse.de
- fonts-config:
  check for fc-cache in two locations: /usr/bin/fc-cache
  and /usr/X11R6/bin/fc-cache to make the same script work
  on SuSE Linux 8.2 and SLEC.
* Tue Mar 11 2003 - sndirsch@suse.de
- fonts-config:
  make it faster by ignoring all files which already have a dot in their
  name before checking with perl-File-MMagic whether it is a PostScript
  font. This is only useful for PostScript fonts which don't yet have a
  .pfa extension and these usually don't have dots anywhere in their
  name. Doing this check for all fonts just slows fonts-config down.
* Mon Mar 10 2003 - mfabian@suse.de
- fonts-config:
  fc-cache creates non-empty fonts.cache-1 files for the
  CID-keyed fonts, but the CID-keyed fonts don't (yet?) work with
  Xft2. Force the fonts.cache-1 in the CIDFont directories to
  be empty.
* Mon Mar 10 2003 - mfabian@suse.de
- Bug #22846: improve fonts.conf:
  * add <dir>/opt/kde3/share/fonts</dir>
  * prefer "Baekmuk Gulim" before "Baekmuk Dotum"
  * add "Fixed" to list of monospace faces to make "Fixed" fall
  back to some monospaced font as well if no "Fixed" is available
  * move mapping of PostScript families to TrueType "equivalents"
  above the include of ~/.fonts.conf.
  * add comment explaining how hinting can be turned off for
  CJK fonts (don't enable by default, I think CJK fonts look
  better with hinting)
  * add rule to use "Misc Console" (or "Misc Console Wide")
  instead of "console"
  * add rules to prefer bitmap fonts and embedded bitmaps in
  TrueType fonts which are off by default but can easily
  enabled in ~/.fonts.conf
  * add aliases for GB18030 fonts
  * prefer "AR PL SungtiL" and "AR PL Mingti2L Big5" for
  monospace over "AR PL KaitiM GB" and "AR PL KaitiM Big5"
* Sun Mar 09 2003 - sndirsch@suse.de
- fonts-config:
  *.bdf fonts currently don't work with Xft2, add
  to @blacklist_globs to remove them from fonts.cache-1 files
* Sun Mar 09 2003 - sndirsch@suse.de
- fonts-config:
  * check for existance of fonts.cache-1 befor trying to open it.
* Sat Mar 08 2003 - sndirsch@suse.de
- fonts-config:
  * remove entries for files in @blacklist_globs from fonts.cache-1 as
  well because these broken fonts don't work with Xft2 either.
  * add "u003043t.gsf" and "u004006t.gsf" to @blacklist_globs
  * add "/opt/kde3/share/fonts" to directory list
  * check if files returned by glob() really exist.
  (glob ("foo") returns "foo", even if "foo" doesn't match, glob("foo*")
  returns nothing if "foo*" doesn't match).
* Mon Mar 03 2003 - sndirsch@suse.de
- moved /etc/fonts/fonts.conf to this package (Bug #22846)
* Wed Feb 26 2003 - sndirsch@suse.de
- the Hershey-Fonts from ghostscript-fonts-other.rpm have broken
  outlines and don't work with X11, add them to the blacklist
  (Bug #24272)
- removed fetchmsttfonts; should only be available via YOU
* Fri Feb 14 2003 - sndirsch@suse.de
- fonts-config:
  * don't create symlinks .pfa -> .gsf.pfa
* Thu Feb 13 2003 - sndirsch@suse.de
- fonts-config:
  * check if $DISPLAY is unset first to avoid "unitialized value in
  pattern match" warning message (thanks Bernhard Kaindl).
* Wed Feb 12 2003 - sndirsch@suse.de
- added openbox to wmlist
* Mon Feb 10 2003 - sndirsch@suse.de
- fonts-config:
  * Add "/usr/X11R6/lib/X11/fonts/encodings" to the list of font
  directories to precess to ensure that a valid encodings.dir is
  created there as well. luit looks for encodings.dir in that
  directory.
* Fri Feb 07 2003 - sndirsch@suse.de
- fonts-config: create symlinks to .pfa only if the original font
  doesn't have the .pfa extension already.
* Mon Feb 03 2003 - sndirsch@suse.de
- new fonts-config:
  * remove all entries for file names without extension from
  fonts.scale, files without extension won't work with X11
  * use perl module File::MMagic if availaible to create symlinks
  if PostScript fonts in pfa format without a file name extension
  are found (Foo.pfa -> Foo).
  * use the "fmly", "wght", and "slant" fields from the XLFD to
  generate better aliases for Qt into Fontmap.X11-auto
  * fix some typos in documentation
* Fri Jan 31 2003 - sndirsch@suse.de
- new fonts-config:
  * generate an oblique entry if only italic is there and vice
  versa (Bug #23240)
* Wed Jan 29 2003 - sndirsch@suse.de
- new fonts-config:
  * add extra alias if style equal 'Roman'
* Tue Jan 28 2003 - sndirsch@suse.de
- new fonts-config:
  * generate some aliases in ghostscript fontmap
* Tue Jan 28 2003 - sndirsch@suse.de
- added wget and cabextract to 'Requires:'
* Tue Jan 28 2003 - sndirsch@suse.de
- Revival of fetchmsttfonts (Bug #23142)
* Mon Jan 27 2003 - sndirsch@suse.de
- updated fonts-config/SuSEconfig.fonts scripts
  * don't generate ghostscript fontmap by default
* Mon Jan 27 2003 - sndirsch@suse.de
- updated fonts-config script
  * added "--help" and "--version" option
  * creates now also a ghostscript fontmap for X11 fonts
  (/usr/share/ghostscript/*/lib/Fontmap.X11-auto)
  * unzip timestamps if required
* Fri Jan 24 2003 - sndirsch@suse.de
- improved fonts-config script (also improved manual page)
* Thu Jan 23 2003 - sndirsch@suse.de
- added SuSEconfig.fonts/fonts-config scripts
* Tue Jan 07 2003 - sndirsch@suse.de
- improved kroot: initial VRoot setting is restored immediately
  after starting the specified root window program
* Fri Nov 22 2002 - sndirsch@suse.de
- removed mkfontscale (now in XFree86 package)
* Wed Oct 30 2002 - sndirsch@suse.de
- new script 'glXIsDirect' for verifying 3D
- latest CheckHardware sources (GameChecker-021030.tar.bz2)
  * integrated patches (GameChecker.diff, GameChecker2.diff)
  * verify 3D now with new script 'glXIsDirect'
- removed 'fetchnvidiadrv' from filelist
* Thu Oct 24 2002 - sndirsch@suse.de
- added fetchnvidiadrv: script for downloading and installing
  nvidia drivers
* Thu Sep 12 2002 - sndirsch@suse.de
- fixed dcop path in kroot (Bug #19582)
* Wed Sep 11 2002 - sndirsch@suse.de
- new XftConfig:
  * added fallback fonts for cjk (Bug #19424)
* Thu Sep 05 2002 - sndirsch@suse.de
- GameChecker2.diff:
  * fixed timing bug between app.exit() and execution of the base
  application (Bug #18935)
* Thu Aug 29 2002 - sndirsch@suse.de
- fixed order in wmlist (Bug #18550)
- removed cabextract
* Thu Aug 29 2002 - sndirsch@suse.de
- GameChecker.diff:
  * do not run program as child. The missing controlling terminal
  for backgrounded processes will not allow console based
  applications to work (Bug #16562)
* Tue Aug 27 2002 - sndirsch@suse.de
- fixed numlock program: KeyRelease event was missing
* Fri Aug 16 2002 - sndirsch@suse.de
- adjusted fetchmsttfonts: simply prints a message, that MS
  discontinued the Web fonts program
- removed fetchmsttfonts.sh
- removed w3m 'require'
* Tue Aug 06 2002 - sndirsch@suse.de
- updated to GameChecker-020806.tar.bz2:
  * now also allows "--help" as command argument;
  example: CheckHardware /bin/ls --help
* Thu Aug 01 2002 - sndirsch@suse.de
- added 'PreReq:'
* Wed Jul 10 2002 - sndirsch@suse.de
- added 'gnome2' to wmlist
* Fri Jul 05 2002 - sndirsch@suse.de
- added xinit and xf86config scripts; therefore switch2xf86-3x
  resp. switch2xf86-4 of package xf86 are no longer required
* Mon Jun 24 2002 - sndirsch@suse.de
- added xwinswitch (xwin.tar.gz) by Ludwig Nussel <lnussel@suse.de>;
  useful for switching to the resolution, which is required by the
  selected application window
* Tue Jun 11 2002 - sndirsch@suse.de
- added numlock program to toggle numlock state (on/off) (Bug #7391)
* Sun Jun 09 2002 - olh@suse.de
- use suse_update_config, use lib64 on ppc64
* Sun May 19 2002 - sndirsch@suse.de
- replaced ttmkfdir with mkfontscale in fetchmsttfonts
* Sat May 18 2002 - sndirsch@suse.de
- added mkfontscale; likely will replace ttmkfdir
* Wed May 15 2002 - sndirsch@suse.de
- updated to release 020515; integrates the patches:
  * GameChecker-lib64.patch
  * GameChecker-xauth.diff
  * GameChecker.diff
  * GameChecker2.diff
- enabled build of CheckHardware for s390/s390x (again)
- splitted package in xf86tools/CheckHardware
* Tue May 07 2002 - meissner@suse.de
- %%_lib fixes
* Sun Mar 31 2002 - sndirsch@suse.de
- disabled build of 'CheckHardware' for s390/s390x; S/390 does not
  have any sound or 3D capabilities
* Thu Mar 21 2002 - sndirsch@suse.de
- GameChecker-xauth.diff:
  * fixed xauth problem: If CheckHardware create an QApplication object
  this is handled as X11 client if this client replaces itself with
  a new client it may happen that the parent client still exist under
  the same authorization than the parent which is not allowed in terms
  of security. We will exit the application object in front of the execvp
  call and will fork() a new process for the calling application to be
  sure not to run into an access problem.
* Mon Mar 18 2002 - sndirsch@suse.de
- GameChecker2.diff
  * fixed return value handling from system() call
  * now also commands without full specified path are allowed for
  generic 'GameWrapper'
  * allow program names with '-' sign in it
  * fixed spacing of button texts
  * adapt gettext keys to currently used en_US translation
  * adapt .po files for all languages according to the new gettext keys
  * fixed segfault while allocating memory for baseName
  * some cleanups
* Sun Mar 17 2002 - sndirsch@suse.de
- GameChecker.diff:
  * fixes option parsing of 'CheckHardware'
  * better texts for warnings of 'CheckHardware'
* Sat Mar 16 2002 - sndirsch@suse.de
- added Wrapper for starting games (checks for sound and 3D)
* Wed Mar 13 2002 - sndirsch@suse.de
- added including of greek XftConfig (located in package xfntgreek)
  to XftConfig
* Thu Feb 28 2002 - sndirsch@suse.de
- fixed Bug #14104
  * replaced lynx with w3m
  * added "Requires: w3m"
* Fri Feb 15 2002 - sndirsch@suse.de
- removed aliases for "Lucidux Mono/Sans/Serif" (trademark issue)
* Wed Feb 13 2002 - sndirsch@suse.de
- give the user a note to exit from less with 'q'
* Thu Feb 07 2002 - sndirsch@suse.de
- updated to cabextract 0.5
- adjusted params of cabextract in fetchmsttfonts ("-v" is now "-l")
- use now SuSEconfig in fetchmsttfonts to create fonts.scale/fonts.dir
  files
* Wed Jan 30 2002 - sndirsch@suse.de
- added fallbacks if MS fonts are not installed
- added font test webpage
* Sat Jan 26 2002 - sndirsch@suse.de
- XftConfig:
  * added fallback to Luxi Sans/Serif/Mono fonts, if MS fonts are
  not available
  * added rules for sub-pixeling hinting and excluded pt range for
  antialiasing (both rules are commented out)
* Wed Jan 23 2002 - sndirsch@suse.de
- removed files for latvian support (never really worked); should
  be done via KDE Control center for the future
* Thu Jan 17 2002 - sndirsch@suse.de
- added path to ghostscript Type1 fonts (URW)
* Tue Jan 08 2002 - sndirsch@suse.de
- added fallback to "Luxi Mono" for monospaced font requests;
  fixes "konsole" AA font problem (made it unusable), if no MS TT
  fonts are installed
* Wed Dec 19 2001 - sndirsch@suse.de
- fetchmsttfonts now creates a fonts.scale.msttfonts file only for
  the TTF files, which are fetched; no duplicate entries any more
  in fonts.scale
* Thu Dec 13 2001 - sndirsch@suse.de
- better kroot script: vroot will only be false when kdesktop is
  running and when VRoot was not set already. We don't need to do
  anything if either KDesktop isn't running or VRoot was set
  already.
* Wed Dec 12 2001 - sndirsch@suse.de
- added wrapper (kroot) for starting X11 programs, which make use
  of root window feature, also with KDE 2
* Tue Nov 20 2001 - mfabian@suse.de
- sawmill -> sawfish in wmlist
* Fri Nov 16 2001 - sndirsch@suse.de
- added XftConfig; removed from package xf86 to be able to update
  it easier
* Wed Sep 05 2001 - sndirsch@suse.de
- removed options "--passive" and "--user-agent" in $WGET_OPTIONS
- lynx is now used for testing of existing EULA instead of wget
  (wget can't fetch EULA any more!)
* Tue Jul 31 2001 - sndirsch@suse.de
- replaced 'xfwm' with 'XFce' in 'wmlist' (change request by
  nadvornik@suse.cz)
* Fri Jul 20 2001 - sndirsch@suse.de
- moved 'wmlist' script from package susewm to package xf86tools
* Wed Jul 18 2001 - cstein@suse.de
- added 'xsplash' to wmlist and changed year in file header to 2001
* Fri Jun 22 2001 - sndirsch@suse.de
- better error handling in latvian (un)install scripts
* Tue Jun 19 2001 - sndirsch@suse.de
- added fetchmsttfonts.sh for KDE menu
* Mon Jun 18 2001 - sndirsch@suse.de
- fetchmsttfonts: print error message if there are problems with
  fetching archives
- added keyboard layout support for latvian:
  * xkb layout files
  * addition to compose table
  * install/uninstall skript for enabling/disabling latvian support
  (patches XF86Config + Compose table)
  * README.SuSE
* Wed May 16 2001 - sndirsch@suse.de
- rewritten fetchmsttfonts to use cabextract instead of unzip, so
  that the more recent TT Fonts for Windows 9x/NT/2000 can be used
- added cabextract tool, required for new fetchmsttfonts
* Fri Apr 06 2001 - sndirsch@suse.de
- rewritten xf86version ("X -version" is now used to get xf86 version)
* Fri Mar 30 2001 - sndirsch@suse.de
- created package
